%global snapshot .revno69
%global engine unico

Name:		gtk3-engines-unico
Version:	0.1.0
Release:	2%{snapshot}%{?dist}
Summary:	The Unico Gtk+ Theming Engine

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		https://launchpad.net/unico
# bzr branch lp:unico
# cd unico
# bzr export --revision=69 --root=unico-0.1.0 unico-0.1.0.revno69.tar.bz2
Source0:	%{engine}-%{version}%{snapshot}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk3-devel gnome-common
Requires:	gtk3

%description
Unico is a Gtk+ engine that aims to be the more complete yet powerful theming
engine for Gtk+ 3.0 and newer. It's the first Gtk+ engine written with Gtk+
style context APIs in mind, using CSS as first class citizen.

%prep
%setup -q -n %{engine}-%{version}

%build
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# Remove .la files
find %{buildroot} -name *.la | xargs rm -f || true

# Remove .a files
find %{buildroot} -name *.a | xargs rm -f || true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_libdir}/gtk-3.0/3.0.0/theming-engines/libunico.so

%changelog
* Tue Jul 05 2011 Germán A. Racca <skytux@fedoraproject.org> 0.1.0-2.revno69
- Added gnome-common as BR

* Mon Jun 27 2011 Germán A. Racca <skytux@fedoraproject.org> 0.1.0-1.revno69
- Initial release of RPM package
